import request from '@/router/axios';

export const getList = (params) => {
  return request({
    url: '/api/supplyChain/GoodsStorage/list',
    method: 'post',
    data: params
  })
}

export const getActivityLists = (params) => {
  return request({
    url: '/api/supplyChain/activityLists',
    method: 'get',
    params
  })
}

export const getByParentId = (params) => {
  return request({
    url: '/api/supplyChain/Category/getCategory',
    method: 'get',
    params
  })
}

export const importGoods = (ids, grossRate, categoryIds, zoneType) => {
  return request({
    url: '/api/supplyChain/importData',
    method: 'post',
    params: {
      ids,
      grossRate,
      categoryIds,
      zoneType
    }
  })
}